> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow variables

` GET /v1/workflows/{workflowId}/variables `

List workflow variables

## Parameters

### ` workflowId ` (path, required)

Workflow ID

- ` value `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` items `: type ` array `

    - ` array item `: type ` object `

      - ` def `: type ` object `

        - ` default `: type ` unknown `

        - ` description `: type ` string `

        - ` lifetime `: type ` string `

          - enum: ` ["persist","reset"] `

        - ` name `: type ` string `

        - ` type `: type ` string `

          - enum: ` ["number","text","boolean","list","object"] `

      - ` hasValue `: type ` boolean `

      - ` lastRunId `: type ` string `

      - ` updatedAt `: type ` string `

      - ` value `: type ` unknown `

      - ` version `: type ` integer `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/workflows/string/variables' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/workflows/string/variables', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/workflows/string/variables', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/variables", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```